EasyCwmp

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000070easycwmp[All Projects] Bugpublic2015-07-16 21:192015-07-23 13:03
Reportertarakt 
Assigned Tomohamed.kallel 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOpenWRTOSOS Version
Summary0000070: Event code responded after firmware upgrade is not accurate
DescriptionIn EasyCWMP-1.1.5 version the CPE does not respond with the right event code after firmware upgrade. The CPE receives the request for firmware upgrade, successfully upgrades but after the upgrade the '7 Transfer complete' event code and 'M Download' event code is missing from the inform.

The inform response from CPE after firmware upgrade is below. Event codes are not correct

<?xml version="1.0" encoding="UTF-8"?><cwmp:Inform xmlns:cwmp="urn:dslforum-org:cwmp-1-2" xmlns:soap_enc="http://schemas.xmlsoap.org/soap/encoding/" [^] xmlns:soap_env="http://schemas.xmlsoap.org/soap/envelope/" [^] xmlns:xsd="http://www.w3.org/2001/XMLSchema" [^] xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><DeviceId><Manufacturer>SmartRG</Manufacturer> [^]
<OUI>00236A</OUI>
<ProductClass>SR400ac</ProductClass>
<SerialNumber>00236AA37BC5</SerialNumber>
</DeviceId><Event soap_enc:arrayType="cwmp:EventStruct[2]"><EventStruct><EventCode>0 BOOTSTRAP</EventCode>
<CommandKey/></EventStruct><EventStruct><EventCode>1 BOOT</EventCode>
<CommandKey/></EventStruct></Event><MaxEnvelopes>1</MaxEnvelopes>
<CurrentTime>2015-07-16T12:09:02-07:00</CurrentTime>
<RetryCount>2</RetryCount>
<ParameterList soap_enc:arrayType="cwmp:ParameterValueStruct[18]"><ParameterValueStruct><Name>Device.DeviceInfo.Description</Name>
<Value xsi:type="xsd:string">Gigabit Residential Gateway</Value>
</ParameterValueStruct><ParameterValueStruct><Name>Device.DeviceInfo.DeviceCategory</Name>
<Value xsi:type="xsd:string">Router</Value>
</ParameterValueStruct><ParameterValueStruct><Name>Device.DeviceInfo.HardwareVersion</Name>
<Value xsi:type="xsd:string">B2</Value>
</ParameterValueStruct><ParameterValueStruct><Name>Device.DeviceInfo.Manufacturer</Name>
<Value xsi:type="xsd:string">SmartRG</Value>
</ParameterValueStruct>

Steps To ReproduceTry firmware upgrade.
Additional InformationThe log on CPE

Thu Jul 16 12:03:27 2015 daemon.notice easycwmpd: add event '2 PERIODIC'
Thu Jul 16 12:03:27 2015 daemon.notice easycwmpd: start session
Thu Jul 16 12:03:27 2015 daemon.notice easycwmpd: configured acs url http://test52.acs.smartrg.com/ [^]
Thu Jul 16 12:03:27 2015 daemon.notice easycwmpd: external script init
Thu Jul 16 12:03:27 2015 daemon.notice easycwmpd: external: execute inform parameter
Thu Jul 16 12:03:28 2015 daemon.notice easycwmpd: send Inform
Thu Jul 16 12:03:28 2015 daemon.notice easycwmpd: receive InformResponse from the ACS
Thu Jul 16 12:03:28 2015 daemon.notice easycwmpd: send empty message to the ACS
Thu Jul 16 12:03:28 2015 daemon.notice easycwmpd: received Download method from the ACS
Thu Jul 16 12:03:28 2015 daemon.notice easycwmpd: add download: delay = 3 sec, url = http://192.168.1.20/sr400, [^] FileType = '1 Firmware Upgrade Image', CommandKey = '6'
Thu Jul 16 12:03:28 2015 daemon.notice easycwmpd: send DownloadResponse to the ACS
Thu Jul 16 12:03:32 2015 daemon.notice easycwmpd: receive empty message from the ACS
Thu Jul 16 12:03:32 2015 daemon.notice easycwmpd: external: execute apply service
Thu Jul 16 12:03:32 2015 daemon.notice easycwmpd: external script exit
Thu Jul 16 12:03:32 2015 daemon.notice easycwmpd: end session success
Thu Jul 16 12:03:32 2015 daemon.notice easycwmpd: start download url = http://192.168.1.20/sr400, [^] FileType = '1 Firmware Upgrade Image', CommandKey = '6'
Thu Jul 16 12:03:32 2015 daemon.notice easycwmpd: external script init
Thu Jul 16 12:03:32 2015 daemon.notice easycwmpd: external: execute download
Thu Jul 16 12:03:33 2015 daemon.notice easycwmpd: add event '7 TRANSFER COMPLETE'
Thu Jul 16 12:03:33 2015 daemon.notice easycwmpd: add event 'M Download'
Thu Jul 16 12:03:33 2015 daemon.notice easycwmpd: external: execute apply download 1 Firmware Upgrade Image
Jul 16 12:03:34 udpxy[2281]: udpxy 1.0-23.9 (prod) standard [Linux 3.10.49 armv7l] is exiting with rc=[0]
TagsNo tags attached.
Attached Files? file icon Firmware_1.1.5 [^] (59,595 bytes) 2015-07-17 21:37
? file icon After_Firmware_1.1.5 [^] (54,624 bytes) 2015-07-17 21:37
pdf file icon Download1.pdf [^] (77,635 bytes) 2015-07-17 21:38
pdf file icon Download1_complete.pdf [^] (70,798 bytes) 2015-07-17 21:39

- Relationships

-  Notes
(0000247)
tarakt (reporter)
2015-07-16 21:23

The correct inform after firmware upgrade should have below event codes.

<OUI>00904C</OUI>
<ProductClass>SR400ac</ProductClass>
<SerialNumber>00904C0FF4B3</SerialNumber>
</DeviceId>
<Event soap_enc:arrayType="cwmp:EventStruct[3]">
<EventStruct>
<EventCode>7 TRANSFER COMPLETE</EventCode>
<CommandKey/>
</EventStruct>
<EventStruct>
<EventCode>M Download</EventCode>
<CommandKey>A</CommandKey>
</EventStruct>
<EventStruct>
<EventCode>1 BOOT</EventCode>
<CommandKey/>
</EventStruct>
</Event>
<MaxEnvelo
(0000248)
mohamed.kallel (manager)
2015-07-17 15:36

Traffic capture please
did you test this issue with old version? does this issue occur in the old version like version 1.1.2?
(0000249)
tarakt (reporter)
2015-07-17 21:43

Yes, in the earlier version of EC i.e., 1.1.2 version firmware upgrade worked fine. You can see in the traffic capture log Download1.pdf and Download1_complete.pdf .

But in the current version 1.1.5 you can see the return event codes after firmware download is not right. Log Firmware_1.1.5.pdf and After_Firmware_1.1.5.pdf shows the missing event code.
(0000250)
mohamed.kallel (manager)
2015-07-20 16:26

Do you have the same problem with the file type "3 Vendor Configuration File"?
(0000251)
tarakt (reporter)
2015-07-21 00:04

I have not test "3 Vendor Configuration File".
(0000252)
mohamed.kallel (manager)
2015-07-23 13:03

fixed in EasyCwmp-1.1.6

- Issue History
Date Modified Username Field Change
2015-07-16 21:19 tarakt New Issue
2015-07-16 21:23 tarakt Note Added: 0000247
2015-07-17 15:36 mohamed.kallel Note Added: 0000248
2015-07-17 21:37 tarakt File Added: Firmware_1.1.5
2015-07-17 21:37 tarakt File Added: After_Firmware_1.1.5
2015-07-17 21:38 tarakt File Added: Download1.pdf
2015-07-17 21:39 tarakt File Added: Download1_complete.pdf
2015-07-17 21:43 tarakt Note Added: 0000249
2015-07-20 16:26 mohamed.kallel Note Added: 0000250
2015-07-21 00:04 tarakt Note Added: 0000251
2015-07-23 13:03 mohamed.kallel Note Added: 0000252
2015-07-23 13:03 mohamed.kallel Status new => resolved
2015-07-23 13:03 mohamed.kallel Resolution open => fixed
2015-07-23 13:03 mohamed.kallel Assigned To => mohamed.kallel


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker